> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/zec/cidr-block/renewcidr.md).

# RenewCidr

## 1. API Description

This API (RenewCidr) is used to restore a recycled IPv4 CIDR block so that it becomes available again.

{% hint style="info" %}
**Notes**

* Only CIDR blocks in the recycle bin (that is, whose status is `RECYCLED`) support this operation.
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type   | Description                                                                                                                                                 |
| -------------- | -------- | ------ | ----------------------------------------------------------------------------------------------------------------------------------------------------------- |
| cidrId         | Yes      | String | <p>ID of the CIDR block to be restored.</p><p>It can be obtained by calling <a href="/api-reference/zec/cidr-block/describecidrs.md">DescribeCidrs</a>.</p> |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Restore a CIDR block.**

<pre class="language-json"><code class="lang-json"><strong>POST /api/v2/zec HTTP/1.1
</strong>Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: RenewCidr


Request:
{
  "cidrId": "xxx"
}

Response:
{
  "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F",
  "response": {
    "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F"
  }
}
</code></pre>

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                | Description           |
| ---------------- | ------------------------- | --------------------- |
| 404              | INVALID\_CIDR\_NOT\_FOUND | CIDR block not found. |
